Bug 863361 - cannot select stock buttons in glade-3.12.2-2.fc17
cannot select stock buttons in glade-3.12.2-2.fc17
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glade (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 04:43 EDT by Caolan McNamara
Modified: 2012-11-18 21:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:31:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2012-10-05 04:43:30 EDT
Description of problem:


Version-Release number of selected component (if applicable):
In glade-3.12.2-2.fc17 I cannot select stock buttons, but if I downgrade to glade-3.12.0-3.fc17 I can again

How reproducible:
100%

Steps to Reproduce:
1. insert a button in glade, click "stock button" on general tab, the list box of stock items is inactive and cannot be activated.
  
Additional info:
Works in glade-3.12.0-3.fc17
Comment 1 Kalev Lember 2012-10-10 10:48:30 EDT
Looks like a regression from http://git.gnome.org/browse/glade/commit/?id=772fb3bb , which is also present in glade 3.14.0 release.
Comment 2 Kalev Lember 2012-10-11 07:19:13 EDT
Upstream ticket: https://bugzilla.gnome.org/show_bug.cgi?id=685816
Comment 3 Kalev Lember 2012-10-15 17:32:34 EDT
I've backported the upstream fix to glade-3.12.2-3.fc17. Can you give it a try to see if it fixes the issue, please?
Comment 4 Fedora Update System 2012-10-15 17:33:03 EDT
glade-3.12.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glade-3.12.2-3.fc17
Comment 5 Fedora Update System 2012-10-16 20:25:50 EDT
Package glade-3.12.2-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glade-3.12.2-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16261/glade-3.12.2-3.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-11-10 21:23:28 EST
Package glade-3.12.2-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glade-3.12.2-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16261/glade-3.12.2-4.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-11-18 21:31:51 EST
glade-3.12.2-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.